IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
2c19:e300::/24- First address
2c19:e300::- Last address
2c19:e3ff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
2c19:e300:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
3.e.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:e300::/24 makes 256 subnets of /32.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:e300::/32 | 2c19:e300:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2c19:e301::/32 | 2c19:e301:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2c19:e302::/32 | 2c19:e302:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2c19:e303::/32 | 2c19:e303:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2c19:e304::/32 | 2c19:e304:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2c19:e305::/32 | 2c19:e305:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2c19:e306::/32 | 2c19:e306:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2c19:e307::/32 | 2c19:e307:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2c19:e308::/32 | 2c19:e308:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2c19:e309::/32 | 2c19:e309:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2c19:e30a::/32 | 2c19:e30a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2c19:e30b::/32 | 2c19:e30b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2c19:e30c::/32 | 2c19:e30c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2c19:e30d::/32 | 2c19:e30d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2c19:e30e::/32 | 2c19:e30e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2c19:e30f::/32 | 2c19:e30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2c19:e310::/32 | 2c19:e310:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2c19:e311::/32 | 2c19:e311:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2c19:e312::/32 | 2c19:e312:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2c19:e313::/32 | 2c19:e313:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2c19:e314::/32 | 2c19:e314:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2c19:e315::/32 | 2c19:e315:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2c19:e316::/32 | 2c19:e316:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2c19:e317::/32 | 2c19:e317:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2c19:e318::/32 | 2c19:e318:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2c19:e319::/32 | 2c19:e319:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2c19:e31a::/32 | 2c19:e31a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2c19:e31b::/32 | 2c19:e31b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2c19:e31c::/32 | 2c19:e31c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2c19:e31d::/32 | 2c19:e31d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2c19:e31e::/32 | 2c19:e31e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2c19:e31f::/32 | 2c19:e31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2c19:e320::/32 | 2c19:e320:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2c19:e321::/32 | 2c19:e321:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2c19:e322::/32 | 2c19:e322:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2c19:e323::/32 | 2c19:e323:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2c19:e324::/32 | 2c19:e324:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2c19:e325::/32 | 2c19:e325:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2c19:e326::/32 | 2c19:e326:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2c19:e327::/32 | 2c19:e327:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2c19:e328::/32 | 2c19:e328:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2c19:e329::/32 | 2c19:e329:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2c19:e32a::/32 | 2c19:e32a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2c19:e32b::/32 | 2c19:e32b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2c19:e32c::/32 | 2c19:e32c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2c19:e32d::/32 | 2c19:e32d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2c19:e32e::/32 | 2c19:e32e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2c19:e32f::/32 | 2c19:e32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2c19:e330::/32 | 2c19:e330:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2c19:e331::/32 | 2c19:e331:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2c19:e332::/32 | 2c19:e332:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2c19:e333::/32 | 2c19:e333:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2c19:e334::/32 | 2c19:e334:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2c19:e335::/32 | 2c19:e335:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2c19:e336::/32 | 2c19:e336:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2c19:e337::/32 | 2c19:e337:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2c19:e338::/32 | 2c19:e338:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2c19:e339::/32 | 2c19:e339:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2c19:e33a::/32 | 2c19:e33a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2c19:e33b::/32 | 2c19:e33b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2c19:e33c::/32 | 2c19:e33c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2c19:e33d::/32 | 2c19:e33d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2c19:e33e::/32 | 2c19:e33e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2c19:e33f::/32 | 2c19:e33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2c19:e340::/32 | 2c19:e340:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2c19:e341::/32 | 2c19:e341:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2c19:e342::/32 | 2c19:e342:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2c19:e343::/32 | 2c19:e343:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2c19:e344::/32 | 2c19:e344:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2c19:e345::/32 | 2c19:e345:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2c19:e346::/32 | 2c19:e346:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2c19:e347::/32 | 2c19:e347:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2c19:e348::/32 | 2c19:e348:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2c19:e349::/32 | 2c19:e349:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2c19:e34a::/32 | 2c19:e34a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2c19:e34b::/32 | 2c19:e34b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2c19:e34c::/32 | 2c19:e34c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2c19:e34d::/32 | 2c19:e34d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2c19:e34e::/32 | 2c19:e34e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2c19:e34f::/32 | 2c19:e34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2c19:e350::/32 | 2c19:e350:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2c19:e351::/32 | 2c19:e351:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2c19:e352::/32 | 2c19:e352:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2c19:e353::/32 | 2c19:e353:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2c19:e354::/32 | 2c19:e354:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2c19:e355::/32 | 2c19:e355:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2c19:e356::/32 | 2c19:e356:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2c19:e357::/32 | 2c19:e357:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2c19:e358::/32 | 2c19:e358:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2c19:e359::/32 | 2c19:e359:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2c19:e35a::/32 | 2c19:e35a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2c19:e35b::/32 | 2c19:e35b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2c19:e35c::/32 | 2c19:e35c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2c19:e35d::/32 | 2c19:e35d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2c19:e35e::/32 | 2c19:e35e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2c19:e35f::/32 | 2c19:e35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2c19:e360::/32 | 2c19:e360:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2c19:e361::/32 | 2c19:e361:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2c19:e362::/32 | 2c19:e362:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2c19:e363::/32 | 2c19:e363:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2c19:e364::/32 | 2c19:e364:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2c19:e365::/32 | 2c19:e365:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2c19:e366::/32 | 2c19:e366:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2c19:e367::/32 | 2c19:e367:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2c19:e368::/32 | 2c19:e368:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2c19:e369::/32 | 2c19:e369:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2c19:e36a::/32 | 2c19:e36a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2c19:e36b::/32 | 2c19:e36b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2c19:e36c::/32 | 2c19:e36c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2c19:e36d::/32 | 2c19:e36d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2c19:e36e::/32 | 2c19:e36e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2c19:e36f::/32 | 2c19:e36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2c19:e370::/32 | 2c19:e370:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2c19:e371::/32 | 2c19:e371:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2c19:e372::/32 | 2c19:e372:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2c19:e373::/32 | 2c19:e373:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2c19:e374::/32 | 2c19:e374:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2c19:e375::/32 | 2c19:e375:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2c19:e376::/32 | 2c19:e376:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2c19:e377::/32 | 2c19:e377:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2c19:e378::/32 | 2c19:e378:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2c19:e379::/32 | 2c19:e379:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2c19:e37a::/32 | 2c19:e37a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2c19:e37b::/32 | 2c19:e37b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2c19:e37c::/32 | 2c19:e37c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2c19:e37d::/32 | 2c19:e37d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2c19:e37e::/32 | 2c19:e37e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2c19:e37f::/32 | 2c19:e37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2c19:e380::/32 | 2c19:e380:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2c19:e381::/32 | 2c19:e381:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2c19:e382::/32 | 2c19:e382:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2c19:e383::/32 | 2c19:e383:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2c19:e384::/32 | 2c19:e384:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2c19:e385::/32 | 2c19:e385:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2c19:e386::/32 | 2c19:e386:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2c19:e387::/32 | 2c19:e387:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2c19:e388::/32 | 2c19:e388:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2c19:e389::/32 | 2c19:e389:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2c19:e38a::/32 | 2c19:e38a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2c19:e38b::/32 | 2c19:e38b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2c19:e38c::/32 | 2c19:e38c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2c19:e38d::/32 | 2c19:e38d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2c19:e38e::/32 | 2c19:e38e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2c19:e38f::/32 | 2c19:e38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2c19:e390::/32 | 2c19:e390:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2c19:e391::/32 | 2c19:e391:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2c19:e392::/32 | 2c19:e392:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2c19:e393::/32 | 2c19:e393:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2c19:e394::/32 | 2c19:e394:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2c19:e395::/32 | 2c19:e395:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2c19:e396::/32 | 2c19:e396:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2c19:e397::/32 | 2c19:e397:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2c19:e398::/32 | 2c19:e398:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2c19:e399::/32 | 2c19:e399:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2c19:e39a::/32 | 2c19:e39a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2c19:e39b::/32 | 2c19:e39b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2c19:e39c::/32 | 2c19:e39c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2c19:e39d::/32 | 2c19:e39d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2c19:e39e::/32 | 2c19:e39e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2c19:e39f::/32 | 2c19:e39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2c19:e3a0::/32 | 2c19:e3a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2c19:e3a1::/32 | 2c19:e3a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2c19:e3a2::/32 | 2c19:e3a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2c19:e3a3::/32 | 2c19:e3a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2c19:e3a4::/32 | 2c19:e3a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2c19:e3a5::/32 | 2c19:e3a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2c19:e3a6::/32 | 2c19:e3a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2c19:e3a7::/32 | 2c19:e3a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2c19:e3a8::/32 | 2c19:e3a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2c19:e3a9::/32 | 2c19:e3a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2c19:e3aa::/32 | 2c19:e3aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2c19:e3ab::/32 | 2c19:e3ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2c19:e3ac::/32 | 2c19:e3ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2c19:e3ad::/32 | 2c19:e3ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2c19:e3ae::/32 | 2c19:e3ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2c19:e3af::/32 | 2c19:e3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2c19:e3b0::/32 | 2c19:e3b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2c19:e3b1::/32 | 2c19:e3b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2c19:e3b2::/32 | 2c19:e3b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2c19:e3b3::/32 | 2c19:e3b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2c19:e3b4::/32 | 2c19:e3b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2c19:e3b5::/32 | 2c19:e3b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2c19:e3b6::/32 | 2c19:e3b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2c19:e3b7::/32 | 2c19:e3b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2c19:e3b8::/32 | 2c19:e3b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2c19:e3b9::/32 | 2c19:e3b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2c19:e3ba::/32 | 2c19:e3ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2c19:e3bb::/32 | 2c19:e3bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2c19:e3bc::/32 | 2c19:e3bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2c19:e3bd::/32 | 2c19:e3bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2c19:e3be::/32 | 2c19:e3be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2c19:e3bf::/32 | 2c19:e3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2c19:e3c0::/32 | 2c19:e3c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2c19:e3c1::/32 | 2c19:e3c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2c19:e3c2::/32 | 2c19:e3c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2c19:e3c3::/32 | 2c19:e3c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2c19:e3c4::/32 | 2c19:e3c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2c19:e3c5::/32 | 2c19:e3c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2c19:e3c6::/32 | 2c19:e3c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2c19:e3c7::/32 | 2c19:e3c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2c19:e3c8::/32 | 2c19:e3c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2c19:e3c9::/32 | 2c19:e3c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2c19:e3ca::/32 | 2c19:e3ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2c19:e3cb::/32 | 2c19:e3cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2c19:e3cc::/32 | 2c19:e3cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2c19:e3cd::/32 | 2c19:e3cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2c19:e3ce::/32 | 2c19:e3ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2c19:e3cf::/32 | 2c19:e3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2c19:e3d0::/32 | 2c19:e3d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2c19:e3d1::/32 | 2c19:e3d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2c19:e3d2::/32 | 2c19:e3d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2c19:e3d3::/32 | 2c19:e3d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2c19:e3d4::/32 | 2c19:e3d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2c19:e3d5::/32 | 2c19:e3d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2c19:e3d6::/32 | 2c19:e3d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2c19:e3d7::/32 | 2c19:e3d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2c19:e3d8::/32 | 2c19:e3d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2c19:e3d9::/32 | 2c19:e3d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2c19:e3da::/32 | 2c19:e3da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2c19:e3db::/32 | 2c19:e3db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2c19:e3dc::/32 | 2c19:e3dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2c19:e3dd::/32 | 2c19:e3dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2c19:e3de::/32 | 2c19:e3de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2c19:e3df::/32 | 2c19:e3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2c19:e3e0::/32 | 2c19:e3e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2c19:e3e1::/32 | 2c19:e3e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2c19:e3e2::/32 | 2c19:e3e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2c19:e3e3::/32 | 2c19:e3e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2c19:e3e4::/32 | 2c19:e3e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2c19:e3e5::/32 | 2c19:e3e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2c19:e3e6::/32 | 2c19:e3e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2c19:e3e7::/32 | 2c19:e3e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2c19:e3e8::/32 | 2c19:e3e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2c19:e3e9::/32 | 2c19:e3e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2c19:e3ea::/32 | 2c19:e3ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2c19:e3eb::/32 | 2c19:e3eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2c19:e3ec::/32 | 2c19:e3ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2c19:e3ed::/32 | 2c19:e3ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2c19:e3ee::/32 | 2c19:e3ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2c19:e3ef::/32 | 2c19:e3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2c19:e3f0::/32 | 2c19:e3f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2c19:e3f1::/32 | 2c19:e3f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2c19:e3f2::/32 | 2c19:e3f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2c19:e3f3::/32 | 2c19:e3f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2c19:e3f4::/32 | 2c19:e3f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2c19:e3f5::/32 | 2c19:e3f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2c19:e3f6::/32 | 2c19:e3f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2c19:e3f7::/32 | 2c19:e3f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2c19:e3f8::/32 | 2c19:e3f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2c19:e3f9::/32 | 2c19:e3f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2c19:e3fa::/32 | 2c19:e3fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2c19:e3fb::/32 | 2c19:e3fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2c19:e3fc::/32 | 2c19:e3fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2c19:e3fd::/32 | 2c19:e3fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2c19:e3fe::/32 | 2c19:e3fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2c19:e3ff::/32 | 2c19:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |